%global realname Pivy
%global checkout hg609

Name:           python-pivy
Version:        0.5.0
Release:        6.%{checkout}%{?dist}
Summary:        Python binding for Coin

License:        ISC
URL:            http://pivy.coin3d.org/

# No release for some time. Source is a mecurial checkout
# $ hg clone http://hg.sim.no/Pivy/default Pivy
# $ hg archive Pivy-0.5.0-hg609.tar.gz
Source0:        %{realname}-%{version}-%{checkout}.tar.gz

BuildRequires:  python2-devel
BuildRequires:  Coin2-devel
BuildRequires:  SoQt-devel
BuildRequires:  SIMVoleon-devel
BuildRequires:  libXmu-devel
BuildRequires:  swig

# we don't want to provide private python extension libs
%{?filter_setup:
%filter_provides_in %{python_sitearch}/.*\.so$ 
%filter_setup
}

%description
Pivy is a Coin binding for Python. Coin is a high-level 3D graphics library with
a C++ Application Programming Interface. Coin uses scene-graph data structures
to render real-time graphics suitable for mostly all kinds of scientific and
engineering visualization applications.


%prep
%setup -q -n %{realname}-%{version}-%{checkout}
# Examples in the docs folder should not be set executable.
find ./docs -name "*.py" -exec chmod -x {} \;


%build
CFLAGS="%{optflags}" %{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

# Fix install location for x86_64 systems.
%if %{_lib} == "lib64"
mv %{buildroot}%{_prefix}/lib %{buildroot}%{_libdir}
%endif

chmod +x %{buildroot}%{python_sitearch}/pivy/sogui.py

 
%files
%doc AUTHORS examples NEWS README THANKS docs/* HACKING LICENSE
%{python_sitearch}/pivy/
%{python_sitearch}/*.egg-info


%changelog
* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-6.hg609
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-5.hg609
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-4.hg609
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Apr 18 2012 Richard Shaw <hobbes1069@gmail.com> - 0.5.0-3.hg609
- Change name to python-pivy to meet package naming guidelines.
- Change to correct license in spec file. (BSD->ISC)

* Tue Nov 01 2011 Richard Shaw <hobbes1069@gmail.com> - 0.5.0-1
- Inital release.
